#!/bin/sh
# HP Michael Tosch
# team W-INCSSP-L3-ERIC-RND-TS
#

echo "NX Pluggable User Balancer"

dir="/usr/NX/scripts"
this="nxpub"
src=`dirname $0`
server_cfg="/usr/NX/etc/server.cfg"
cfg_ins="UserScriptAfterLogin"

PATH=/bin:/usr/bin:/usr/sbin:/sbin
export PATH

[ -d /usr/NX/var/db -a -f /usr/NX/etc/server.cfg ] || exec echo 'only for NXserver!'
[ -x $src/$this ] || exit

# nxnode rpm has owner root, nxserver rpm has owner nx, we need nx:
find /usr/NX/var -prune \! -user nx -exec chown nx {} \; -exec echo chown nx {} \;

if [ -x $dir/$this ] &&
fgrep $dir/$this /usr/NX/etc/server.cfg
then
  echo "is already installed."
  find $src/$this -prune -newer $dir/$this -exec cp {} $dir/$this \; -exec echo "upgraded." \;
  exit
fi
cp $src/$this $dir/$this || exit

echo "$this installed."

echo "setting $cfg_ins to $this in $server_cfg"
perl -i -pe '
s%^ *('$cfg_ins')%#$1%;
if (!defined($done) && (m/^[# ]*'$cfg_ins'/ || eof)) {
print $_;
$_="'$cfg_ins' = \"'$dir/$this'\"\n";
$done=1;
}' $server_cfg

echo "activated."

